Subject: Re: [P2Prg] Re: [p2p-hackers] Models for distributed systems

From: [email-masked]
Date: Mon, 26 Apr 2004 15:33:18 +0000

Thorsten,

Regarding to P2P organization model, the primitive format is pure P2P without any structure or organization. However, in the process or optimizing the whole system. Stanley Milgram's six-degrees of separation becomes clearly evident. To demonstrate this, in Stanley M's original experiment of arbitrary asking people to contact a stockbroker in New York, following was found. Over 1/3 of the mail was channeled through one single individual and over 3/4 was routed by 3-4 key individuals. Likewise, for sake of building a robust P2P system for the mass, a set of directory servers or systems should be put in place.

Such a system is not against the ad-hoc nature of P2P because even the rudimentary P2P networks needs to be overlaid on a IP-based system which evidently depends on h/w routers and switches. Similarly, in Gnutella 0.6, the "reflector" concept was introduced. Basically, a Gnutella reflector is equivalent to a JXTA proxy and rendezvous host.

Ray Gao
Editor-in-Chief,
P2P Journal (http://p2pjournal.com)
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Thanks for the hints!
> 
> |>Correct me if I'm wrong, but I think the main
> |>difference is that, in c/s, any given node is either
> |>client or server, but in p2p a node can be both client
> |>and server at the same time...
> Well, if you consider the dynamic client/server model (client server
> with delegation) you get the same behaviour. Servers delegate subtasks
> to other servers, and hence become clients for a certain amount of time,
> in many c/s-systems.
> I suppose the difference is, that in P2P every node can be the
> originating source of a request, while in dynamic c/s the source is
> always a /client/.
> 
> 
> | But Thorsten asked more specific differences, and imho,
> | routing is one specific feature of P2P (file-sharing -- Gnutella/Kazza,
> | DHT, ad-hoc wireless network, etc.).
> I thought about this fact as well, but if that is the defining
> characteristic of P2P we had to call any routing system P2P, hadn't we?

> The problems solved in the system domain seem to be the same then.
> 
> I've got as far as defining P2P as a system architecture (here comes the
> first question: does anybody know a good and formal definition of system
> architectures?).
> The system architecture can be best described with three different models.
> ~ * In the role model (formal definitions?): P2P knows of only one role,
> the servent. Every servent performs, or at least is able to perform the
> same tasks (symmetric roles), which usually consist of searching its
> local or locally registered ressources, forwarding search requests and
> serving an offered ressource.
> * In the interaction model (formal definitions?): Similar to the
> client/server model interaction in P2P architectures is done
> asynchronous via request-response message pairs. Any node can be the
> originating source for a request.
> * In the organisational model (fd?): No context knowledge other than a
> bootstrapping point to one occurence of a specific P2P system is needed

> to take part in it. There is no central naming system (anyway, it is
> possible to introduce an distributedly implemented algorithmic naming
> system as is done with Hashvalues in DHT-Systems). 'Pure' P2P systems
> are not structured at all (anyway, it again is possible to introduce a
> distributedly implemented structure as the supernodes in gnutella v0.6).
> 
> Following this definition, a better word for P2P would probably be
> decentral distributed systems or collaborative systems (if this term
> wasn't already occupied by the cscw-world).
> 
> I'm perfectly aware of the fact that this definition does not cover
> seti@home, napster and a fair share of other (file-sharing) systems, but
> it's still the best definition that I can come up with at the moment.
> And I would be highly interested in other views! :-)
> 
> Thanks for comments in advance!
> 
> thorsten
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.2.4 (MingW32)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
> 

> iD8DBQFAjNDiOQ9e8ojbqFYRAsiiAJ0dr6umtULNo4CiHiRMcCteQ1EhkQCdH+Tu
> 6Lzh7Nqq1x+CQ03eAn2FtGw=
> =hVIx
> -----END PGP SIGNATURE-----
> 
> _______________________________________________
> P2prg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2prg

_______________________________________________
P2prg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/p2prg